Autor Thema: Compilern von Github  (Gelesen 722 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

Klauserus

  • Lv 99: Freak
  • *****
  • Offline Offline
  • Beiträge: 1143
  • Geschlecht: Männlich
    • Profil anzeigen
Re: Compilern von Github
« Antwort #15 am: 29. Juli 2020, 17:22:27 »
@Kenaio

Hab noch eine Frage:
Wie installiere ich Cmake 3.13 oder höher auf Linux Mint?

Ich kenne die meisten Befehle. Komme aber auf Linux Mint 19.X nur auf 3.10. Installiere ich 3.16 Läd er zwar was und..ich glaube compilert auch die Objectdateien. aber Version bleibt immer gleich.

Grund: Wollte nun statt für Switch mal ein Programm für linux probieren. Bespiel: MelonDS

Kenaio

  • Lv 3: Member
  • **
  • Offline Offline
  • Beiträge: 101
    • Profil anzeigen
Re: Compilern von Github
« Antwort #16 am: 01. August 2020, 17:04:55 »
Der Klassiker sudo apt-get install cmake funktioniert nicht? Dann würde ich mal Snap ausprobieren:
https://snapcraft.io/install/cmake/mint

Idealerweise ist es aber mit apt-get getan. Würde mich wundern, wenn nicht, immerhin basiert Linux Mint auf Debian und dort ist es im Repository vorhanden.

Klauserus

  • Lv 99: Freak
  • *****
  • Offline Offline
  • Beiträge: 1143
  • Geschlecht: Männlich
    • Profil anzeigen
Re: Compilern von Github
« Antwort #17 am: 02. August 2020, 12:06:48 »
@Kenaio

Danke danke aber den "Befehl" kenne ich. So habe ich 3.10 installiert. Er installiert eben nur 3.10 und keine neuere Version.
Habe es auch mit anderen Befehlen von der Cmake Seite probiert. Weiß sie nicht mehr aus dem Kopf, auf jedenfall etwas,
bei dem auch Betas geladen werden sollen. Installation läuft auch immer. Bleibt nur nicht im System. ich lese immer wieder nur cmake --version = 3.10.

Vielleicht muss ich Mint auch Updaten. Das habe ich auch schon angeleihert aber da schimpft er was mit den HDD´s dass ich die anderen alle abziehen soll.

Dieses Linux...Wenn es mir nicht Spass machen würde die Probleme zu lösen, dann hätte ich das schon längst wieder deinstalliert...

Takeshi

  • Administrator
  • Lv 99: Freak
  • *****
  • Offline Offline
  • Beiträge: 28941
  • Geschlecht: Männlich
    • Profil anzeigen
    • trisaster.de
Re: Compilern von Github
« Antwort #18 am: 02. August 2020, 12:28:21 »
Mint hat doch ein eigenes Repository, auch wenn das vielleicht vom Debian-Repository abgeleitet ist. Vielleicht ist es in dem nicht in der Version enthalten? Ich meine nämlich, dass es bei Mint teilweise neuere Versionen eher gab, aber das kann ja auch mal umgekehrt sein.

Kenaio

  • Lv 3: Member
  • **
  • Offline Offline
  • Beiträge: 101
    • Profil anzeigen
Re: Compilern von Github
« Antwort #19 am: 04. August 2020, 18:30:40 »
Dann würde ich die neueste Version von der Homepage runterladen:
https://github.com/Kitware/CMake/releases/download/v3.18.1/cmake-3.18.1.tar.gz
Dieses musst du entpacken und entsprechend der Readme.rst installieren; hierfür ist dieser Befehl angegeben, welcher alles notwendige erledigt (kompilieren und installieren):
./bootstrap && make && sudo make installEin C++11 Compiler muss hierfür installiert sein, den solltest du aber aus den vorherigen Kompilierversuchen noch da haben. Stelle vorher sicher, dass alte Versionen von Cmake deinstalliert sind, sonst könnte es Probleme geben. Viel Erfolg! Linux ist gerne frickelig ;)

@Takeshi: Tatsächlich hat Mint sein eigenes Repository, in dem Cmake nicht enthalten ist: http://packages.linuxmint.com/list.php?release=Ulyana Guter Fang!
« Letzte Änderung: 04. August 2020, 18:33:25 von Kenaio »

Klauserus

  • Lv 99: Freak
  • *****
  • Offline Offline
  • Beiträge: 1143
  • Geschlecht: Männlich
    • Profil anzeigen
Re: Compilern von Github
« Antwort #20 am: 05. August 2020, 09:08:16 »

Danke danke

komischerweise hat das jetzt geklappt. Zumindest mit der Installation. Beim Compilern bekomme ich jetzt den nächsten "Error"

CMake Error at src/frontend/qt_sdl/CMakeLists.txt:41 (find_package):
  By not providing "FindQt5.cmake" in CMAKE_MODULE_PATH this project has
  asked CMake to find a package configuration file provided by "Qt5", but
  CMake did not find one.

  Could not find a package configuration file provided by "Qt5" with any of
  the following names:

    Qt5Config.cmake
    qt5-config.cmake

  Add the installation prefix of "Qt5" to CMAKE_PREFIX_PATH or set "Qt5_DIR"
  to a directory containing one of the above files.  If "Qt5" provides a
  separate development package or SDK, be sure it has been installed.


Kenaio

  • Lv 3: Member
  • **
  • Offline Offline
  • Beiträge: 101
    • Profil anzeigen
Re: Compilern von Github
« Antwort #21 am: 06. August 2020, 21:02:31 »
Hasst du die Dependencies erfolgreich installiert?
https://github.com/Arisotura/melonDS
sudo apt-get install libgtk-3-dev libcurl4-gnutls-dev libpcap0.8-dev libsdl2-dev